%define majver %(echo %version | cut -d. -f1-2)
Name:          libgnomekbd
Version:       3.28.1
Release:       1mamba
Summary:       Gnome keyboard library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.gnome.org/
Source:        https://download.gnome.org/sources/libgnomekbd/%{majver}/libgnomekbd-%{version}.tar.xz
Patch0:        %{name}-2.26.0-libxklavier-4.0.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libcairo-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk3-devel
BuildRequires: libpango-devel
BuildRequires: libxklavier-devel
## AUTOBUILDREQ-END

%description
Gnome keyboard library.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Gnome keyboard library.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q
#%patch0 -p1

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
if [ $1 -ge 1 ]; then
   glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi
:

%postun
if [ $1 -eq 0 ]; then
   glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi
:

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/gkbd-keyboard-display
%{_libdir}/libgnomekbd.so.*
%{_libdir}/libgnomekbdui.so.*
%{_libdir}/girepository-1.0/Gkbd-3.0.typelib
%{_datadir}/GConf/gsettings/libgnomekbd.convert
%{_datadir}/applications/gkbd-keyboard-display.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.libgnomekbd*.gschema.xml
%dir %{_datadir}/libgnomekbd
%dir %{_datadir}/libgnomekbd/icons
%{_datadir}/libgnomekbd/icons/*.svg
%dir %{_datadir}/libgnomekbd/ui
%{_datadir}/libgnomekbd/ui/show-layout.ui
%doc AUTHORS COPYING.LIB

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libgnomekbd
%{_includedir}/libgnomekbd/*.h
%{_libdir}/libgnomekbd.so
%{_libdir}/libgnomekbdui.so
%{_datadir}/gir-1.0/Gkbd-3.0.gir
%{_libdir}/pkgconfig/libgnomekbd*.pc
%doc NEWS README

%changelog
* Tue Sep 06 2022 Automatic Build System <autodist@mambasoft.it> 3.28.1-1mamba
- automatic version update by autodist

* Sun Aug 28 2022 Automatic Build System <autodist@mambasoft.it> 3.28.0-1mamba
- automatic version update by autodist

* Thu Feb 07 2019 Automatic Build System <autodist@mambasoft.it> 3.26.1-1mamba
- automatic version update by autodist

* Fri Oct 06 2017 Automatic Build System <autodist@mambasoft.it> 3.26.0-1mamba
- automatic version update by autodist

* Thu Oct 13 2016 Automatic Build System <autodist@mambasoft.it> 3.22.0.1-1mamba
- automatic version update by autodist

* Wed Sep 26 2012 Automatic Build System <autodist@mambasoft.it> 3.6.0-1mamba
- automatic version update by autodist

* Sun Sep 16 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.0.2-2mamba
- .typelib file moved from -devel to runtime library package

* Sun Apr 01 2012 Automatic Build System <autodist@mambasoft.it> 3.4.0.2-1mamba
- update to 3.4.0.2

* Wed Sep 28 2011 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic version update by autodist

* Sun Jul 24 2011 Automatic Build System <autodist@mambasoft.it> 3.0.0.1-1mamba
- automatic update to 3.0.3.0 by autodist

* Mon Oct 11 2010 Automatic Build System <autodist@mambasoft.it> 2.32.0-1mamba
- automatic update to 2.32.0 by autodist

* Wed Jun 23 2010 Automatic Build System <autodist@mambasoft.it> 2.30.2-1mamba
- automatic update to 2.30.2 by autodist

* Wed May 12 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.30.1-1mamba
- update to 2.30.1

* Wed Jan 20 2010 Automatic Build System <autodist@mambasoft.it> 2.28.2-1mamba
- automatic update by autodist

* Tue Sep 29 2009 Automatic Build System <autodist@mambasoft.it> 2.28.0-1mamba
- update to 2.28.0

* Sun Jul 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.0-1mamba
- package created by autospec
